# Version
Set                               ( CPPMARIADB_VERSION_MAJOR 1 )
Set                               ( CPPMARIADB_VERSION_MINOR 0 )
Set                               ( CPPMARIADB_VERSION_PATCH 0 )
Set                               ( CPPMARIADB_VERSION_BUILD 0 )
Set                               ( CPPMARIADB_VERSION_SHORT "${CPPMARIADB_VERSION_MAJOR}.${CPPMARIADB_VERSION_MINOR}" )
Set                               ( CPPMARIADB_VERSION "${CPPMARIADB_VERSION_SHORT}.${CPPMARIADB_VERSION_PATCH}.${CPPMARIADB_VERSION_BUILD}" )
Set                               ( CPPMARIADB_NAME "cppmariadb-${CPPMARIADB_VERSION_SHORT}" )
Set                               ( CPPMARIADB_OUTPUTNAME "cppmariadb" )

# Install directories
Set                               ( CPPMARIADB_INSTALL_DIR_INCLUDE "include/${CPPMARIADB_NAME}" )
Set                               ( CPPMARIADB_INSTALL_DIR_LIB "lib" )
Set                               ( CPPMARIADB_INSTALL_DIR_SHARE "share/${CPPMARIADB_NAME}" )

# C Standard
Set                               ( CMAKE_C_STANDARD   11 )
Set                               ( CMAKE_CXX_STANDARD 17 )
Set                               ( CMAKE_C_STANDARD_REQUIRED   ON )
Set                               ( CMAKE_CXX_STANDARD_REQUIRED ON )

# Git Version
Include                           ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
If                                ( HAS_GIT_HELPER )
    GitGetVersion                     ( ${CMAKE_CURRENT_LIST_DIR}/..
                                        CPPMARIADB_VERSION_MAJOR
                                        CPPMARIADB_VERSION_MINOR
                                        CPPMARIADB_VERSION_PATCH
                                        CPPMARIADB_VERSION_BUILD
                                        CPPMARIADB_VERSION_HASH )
EndIf                             ( )
