#pragma once

#include "column.h"

namespace cppmariadb
{

    column::column(MYSQL_FIELD& f)
        : name          (f.name,        f.name_length)
        , original_name (f.org_name,    f.org_name_length)
        , table         (f.table,       f.table_length)
        , original_table(f.org_table,   f.org_table_length)
        , database      (f.db,          f.db_length)
        , length        (f.length)
        , max_length    (f.max_length)
        , flags         (f.flags)
        , decimals      (f.decimals)
        , charset_number(f.charsetnr)
        , type          (static_cast<column_type>(f.type))
        { }

}
