#pragma once

#include "exception.h"

namespace cppmariadb
{

    exception::exception(
        const std::string& msg,
        error_code err,
        const std::string& q)
        : cppcore::exception(msg)
        , error             (err)
        , query             (q)
        { }

}
