#pragma once

#include "handle.h"

namespace cppmariadb {
namespace __impl {

    template<typename T>
    handle<T>::handle(T h)
        : _handle(h)
        { };

    template<typename T>
    handle<T>::handle(handle&& other)
        : _handle(other._handle)
        { other._handle = nullptr; }

    template<typename T>
    handle<T>::operator T() const
        { return _handle; }

    template<typename T>
    const T& handle<T>::get_handle() const
        { return _handle; }

    template<typename T>
    void handle<T>::set_handle(T h)
        { _handle = h; }

} }
